Listar todas as Informações públicas de uma loja
curl --request GET \
--url https://api.dooki.com.br/v2/whois/{domain} \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/whois/{domain}"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/whois/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123456,
"alias": "sualoja",
"domain": "sualoja.com",
"base_url": "https://www.sualoja.com",
"logo_url": "https://images.yampi.me/assets/stores/sualoja/uploads/logo/62c5e006baf74.png",
"has_mp": true,
"suspended": false,
"theme": {
"id": 1,
"alias": "rocket",
"installation_id": 125845
},
"theme_id": 1,
"api": {
"search": "https://api.dooki.com.br/v2/sualoja/public/search"
},
"checkout": {
"base_domain": "https://sualoja.pay.yampi.com.br",
"skip_cart": true,
"items": "<string>",
"items_json": "<string>",
"redirect_to": "<string>",
"orders": "<string>",
"store_token": "<string>",
"default_card": "<string>",
"shopper_url": "<string>"
},
"manifest": {
"name": "<string>",
"short_name": "<string>",
"start_url": "<string>",
"description": "<string>",
"lang": "<string>"
},
"meta": {
"title": "<string>",
"description": "<string>",
"icons": {
"default": "<string>"
}
},
"company": {
"person_type": "<string>",
"cnpj": "<string>",
"razao_social": "<string>",
"name": "<string>",
"cpf": "<string>",
"phone": {
"code": "<string>",
"formated_number": "<string>",
"number": "<string>"
},
"whatsapp": {
"formated_number": "<string>",
"number": "<string>",
"url": "<string>"
},
"email": "jsmith@example.com",
"address": {
"street": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"full_address": "<string>"
},
"social": {
"facebook_url": "<string>",
"instagram_url": "<string>",
"youtube_url": "<string>",
"pinterest_url": "<string>",
"tiktok_url": "<string>",
"twitter_url": "<string>"
}
},
"payments": [
{
"active": true,
"alias": "<string>",
"name": "<string>",
"icon_url": "<string>",
"percent_discount": "<string>"
}
],
"scripts": {
"all": [
"<string>"
]
},
"categories": [
{
"id": 123,
"featured": true,
"parent_id": 123,
"is_parent": true,
"name": "<string>",
"slug": "<string>",
"url": "<string>",
"url_path": "<string>",
"path": "<string>",
"category_cover": "<string>",
"order": 123,
"children": {
"data": [
{}
]
}
}
],
"promotion": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"url": "<string>"
}
],
"services": {
"google": {
"analytics": "<string>",
"analytics_v4": "<string>",
"criteo": "<string>",
"tag_manager": {
"header": "<string>",
"gtm_code": "<string>"
},
"ads_pixels": [
"<string>"
]
},
"chat": "<string>"
},
"pages": [
{
"name": "<string>",
"slug": "<string>",
"path": "<string>"
}
],
"cookies_policy": [
"<string>"
],
"meta_tags": [
"<string>"
],
"cashbacks": [
"<string>"
]
}Loja
Listar todas as Informações públicas de uma loja
Retorna as Informações públicas de uma loja
GET
/
whois
/
{domain}
Listar todas as Informações públicas de uma loja
Path Parameters
Alias ou domínio da loja
Response
Informações públicas da Loja
Example:
123456
Example:
"sualoja"
Example:
"sualoja.com"
Example:
"https://www.sualoja.com"
Example:
"https://images.yampi.me/assets/stores/sualoja/uploads/logo/62c5e006baf74.png"
Example:
true
Example:
false
Show child attributes
Show child attributes
Example:
1
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I